
Infrastructure - Bug #7264

CNCore.hasReservation null Subject parameter

2015-07-17 06:06 - Rob Nahf

Status: Closed Start date: 2015-10-17

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Architecture Design Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

While testing synchronization, noticed that the CNCore.hasReservation method takes 2 parameters (aside from the Session), the pid

and the subject, but has no InvalidRequest exception - something that could be returned if either parameter was null, especially the

subject, since it is a query-parameter.

The hasReservation implementation in d1_identity_manager looks like it would blow up with an NPE if the subject parameter was

null.

I think we need to add InvalidRequest to the method signature (in V2).

(hasReservation is routinely called by synchronization, and if an MN neglects to populate the submitter fields in the systemMetdata it

holds, we'd likely be seeing a lot of SyncFaileds due to NPEs)

Subtasks:

Task # 7443: add InvalidRequest to hasReservation signature in documentation Closed

Related issues:

Related to Infrastructure - Story #7419: hasReservation should not check if a... Closed 2015-10-08

Associated revisions

Revision 16693 - 2015-10-17 23:26 - Rob Nahf

refs: #7264.  Added InvalidRequest to client method implementations of hasReservation.

Revision 16693 - 2015-10-17 23:26 - Rob Nahf

refs: #7264.  Added InvalidRequest to client method implementations of hasReservation.

History

#1 - 2015-07-17 06:07 - Rob Nahf

- Description updated

#2 - 2015-09-10 19:12 - Ben Leinfelder

- % Done changed from 0 to 30

- Status changed from New to In Progress

The CN controller was checking for cases when the subject parameter was not provided in the request, but I added an extra check in the underlying

implementation that also checks for nulls.

#3 - 2015-09-10 19:12 - Ben Leinfelder

- Status changed from In Progress to Testing

- % Done changed from 30 to 50

#4 - 2015-10-13 17:16 - Rob Nahf
- Related to Story #7419: hasReservation should not check if an Identifier is already registered added

#5 - 2016-03-25 01:18 - Dave Vieglais

- Status changed from Testing to Closed

- % Done changed from 50 to 100
